DERT61String (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERT61String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.DERT61String

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable

      public class DERT61String
      extends ASN1Primitive
      implements ASN1String

  DER T61String (also the teletex string), try not to use this if you don't need to. The standard support the encoding for this has been withdrawn.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERT61String(byte[] string)` basic constructor - string encoded as a sequence of bytes.
    `DERT61String(java.lang.String string)` basic constructor - with string 8 bit assumed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DERT61String` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an T61 String from a tagged object.
    `static DERT61String` | `getInstance(java.lang.Object obj)` return a T61 string from the passed in object.
    `byte[]` | `getOctets()` Return the encoded string as a byte array.
    `java.lang.String` | `getString()` Decode the encoded string and return it, 8 bit encoding assumed.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERT61String

          public DERT61String(byte[] string)

      basic constructor - string encoded as a sequence of bytes.
      Parameters:
        `string` - the byte encoding of the string to be wrapped.

    - #### DERT61String

          public DERT61String(java.lang.String string)

      basic constructor - with string 8 bit assumed.
      Parameters:
        `string` - the string to be wrapped.

  - ### Method Detail

    - #### getInstance

          public static DERT61String getInstance(java.lang.Object obj)

      return a T61 string from the passed in object.
      Parameters:
        `obj` - a DERT61String or an object that can be converted into one.
      Returns:
        a DERT61String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static DERT61String getInstance(ASN1TaggedObject obj,
                                 boolean explicit)

      return an T61 String from a tagged object.
      Parameters:
        `obj` - the tagged object holding the object we want
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        a DERT61String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getString

          public java.lang.String getString()

      Decode the encoded string and return it, 8 bit encoding assumed.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        the decoded String

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public byte[] getOctets()

      Return the encoded string as a byte array.
      Returns:
        the actual bytes making up the encoded body of the T61 string.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`